<!DOCTYPE html>

<html>

  <head>

    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <meta charset="utf-8">

    <title>Sistem Toko</title>

    <link rel="stylesheet" href="css/materialize.css">

    <link rel="stylesheet" href="css/bootstrap.css">

    <link rel="stylesheet" href="css/jquery.dataTables.css">

    <link rel="stylesheet" href="css/dcalendar.picker.css">

    <link rel="stylesheet" href="css/master.css">

    <link href="https://fonts.googleapis.com/icon?family=Material+Icons" rel="stylesheet">

  </head>

  <body>

    <nav class="red darken-1">

      <div class="nav-wrapper">

        <div class="container-fluid">

          <a href="#" class="brand-logo center hide-on-med-and-down">Sistem Toko</a>

          <ul class="left">

            <li><a href="home.html"><i class="material-icons left">arrow_back</i>Kembali Ke Halaman Utama</a></li>

          </ul>

          <ul class="right">

            <li class="clock">08 / 02 /2017 ( 11:53:46 AM )</li>

          </ul>

        </div>

      </div>

    </nav>

    <nav class="grey darken-3">

      <div class="nav-wrapper">

        <div class="container-fluid">

          <a href="#" data-activates="slide-out" class="button-collapse"><i class="material-icons">menu</i></a>

          <ul id="slide-out" class="side-nav">

            <li><a class="subheader">User Management</a></li>

            <li><div class="divider"></div></li>

            <li><a href="user_management.html">Manage User</a></li>

            <li><a href="manage_role.html">Manage Role</a></li>

            <li class="active"><a href="manage_permission.html">Manage Permission</a></li>

          </ul>

          <ul class="left hide-on-med-and-down">

            <li><a href="user_management.html">Manage User</a></li>

            <li><a href="manage_role.html">Manage Role</a></li>

            <li class="active"><a href="manage_permission.html">Manage Permission</a></li>

          </ul>

        </div>

      </div>

    </nav>



    <div id="manage_permission" class="user-profile padding-top">

      <div class="container">

        <h1 class="title-profile grey-text text-darken-1">Manage Permission</h1>

        <div class="row">

          <div class="col l8 m12 s12 left">

            <h3 class="tag-title grey-text text-darken-1">Gunakan untuk mengelola Hak akses user</h3>

          </div>

          <div class="col l4 m12 s12">

            <a href="#new_permission" class="btn btn-raised teal">create new permission</a>

          </div>

        </div>

        <div class="row">

          <div class="col l3 m6 s12">

            Search Permission

            <div class="input-field">

              <input id="findPermission" type="text" class="validate" placeholder="update_roles">

              <label data-error="Wrong" data-success="Right"></label>

            </div>

          </div>

          <div class="col l12 m12 s12">

            <div class="table-responsive">

              <table id="managePermissionTable" class="table table-bordered display nowrap dataTable dtr-inline">

                <thead>

                  <tr>

                    <th>ID</th>

                    <th>Key Permission</th>

                    <th>Deskripsi</th>

                    <th>In Roles</th>

                    <th>Tindakan</th>

                  </tr>

                </thead>

                <tbody>

                  <tr>

                    <td>1</td>

                    <td>create_roles</td>

                    <td>Create new roles</td>

                    <td>

                      <a href="#">Admin</a>

                    </td>

                    <td>

                      <a href="#edit_permission" class="btn btn-raised grey lighten-4 grey-text text-darken-4">edit permission</a>

                    </td>

                  </tr>

                  <tr>

                    <td>2</td>

                    <td>retrieve_roles</td>

                    <td>View existing roles</td>

                    <td>

                      <a href="#">Admin</a>

                      <br>

                      <a href="#">User</a>

                    </td>

                    <td>

                      <a href="#edit_permission" class="btn btn-raised grey lighten-4 grey-text text-darken-4">edit permission</a>

                    </td>

                  </tr>

                  <tr>

                    <td>3</td>

                    <td>update_roles</td>

                    <td>Update existing roles</td>

                    <td>

                      <a href="#">Admin</a>

                    </td>

                    <td>

                      <a href="#edit_permission" class="btn btn-raised grey lighten-4 grey-text text-darken-4">edit permission</a>

                    </td>

                  </tr>

                  <tr>

                    <td>5</td>

                    <td>delete_roles</td>

                    <td>Delete existing roles</td>

                    <td>

                      <a href="#">Admin</a>

                    </td>

                    <td>

                      <a href="#edit_permission" class="btn btn-raised grey lighten-4 grey-text text-darken-4">edit permission</a>

                    </td>

                  </tr>

                  <tr>

                    <td>6</td>

                    <td>retrieve_roles</td>

                    <td>View existing roles</td>

                    <td>

                      <a href="#">Admin</a>

                      <br>

                      <a href="#">User</a>

                    </td>

                    <td>

                      <a href="#edit_permission" class="btn btn-raised grey lighten-4 grey-text text-darken-4">edit permission</a>

                    </td>

                  </tr>

                  <tr>

                    <td>7</td>

                    <td>send_roles</td>

                    <td>View existing roles</td>

                    <td>

                      <a href="#">Admin</a>

                      <br>

                      <a href="#">User</a>

                    </td>

                    <td>

                      <a href="#edit_permission" class="btn btn-raised grey lighten-4 grey-text text-darken-4">edit permission</a>

                    </td>

                  </tr>

                  <tr>

                    <td>8</td>

                    <td>delete_everything</td>

                    <td>Delete roles</td>

                    <td>

                      <a href="#">Admin</a>

                      <br>

                      <a href="#">User</a>

                    </td>

                    <td>

                      <a href="#edit_permission" class="btn btn-raised grey lighten-4 grey-text text-darken-4">edit permission</a>

                    </td>

                  </tr>

                  <tr>

                    <td>9</td>

                    <td>full_role</td>

                    <td>View everything roles</td>

                    <td>

                      <a href="#">Admin</a>

                      <br>

                      <a href="#">User</a>

                    </td>

                    <td>

                      <a href="#edit_permission" class="btn btn-raised grey lighten-4 grey-text text-darken-4">edit permission</a>

                    </td>

                  </tr>

                  <tr>

                    <td>10</td>

                    <td>back_role</td>

                    <td>View Another User roles</td>

                    <td>

                      <a href="#">Admin</a>

                      <br>

                      <a href="#">User</a>

                    </td>

                    <td>

                      <a href="#edit_permission" class="btn btn-raised grey lighten-4 grey-text text-darken-4">edit permission</a>

                    </td>

                  </tr>

                </tbody>

              </table>

            </div>

          </div>

        </div>

      </div>

    </div>



    <!-- Modal Add Permission -->

    <div id="new_permission" class="modal">

      <form>

        <div class="modal-content">

          <h5>Create New Permission</h5>

          <div class="container">

            <div class="row">

              <div class="input-field col l12 m12 s12">

                <input type="text" class="validate">

                <label>Key</label>

              </div>

              <div class="input-field col l12 m12 s12">

                <textarea class="materialize-textarea"></textarea>

                <label>Description</label>

              </div>

              <div class="col l12 m12 s12">

                <label>Role</label>

                <p>

                  <input type="checkbox" class="filled-in" id="admin_permission" />

                  <label for="admin_permission">Admin</label>

                </p>

                <p>

                  <input type="checkbox" class="filled-in" id="user_permission" />

                  <label for="user_permission">User</label>

                </p>

                <p>

                  <input type="checkbox" class="filled-in" id="sales_permission" />

                  <label for="sales_permission">Sales</label>

                </p>

                <p>

                  <input type="checkbox" class="filled-in" id="gudang_permission" />

                  <label for="gudang_permission">Gudang</label>

                </p>

                <p>

                  <input type="checkbox" class="filled-in" id="account_permission" />

                  <label for="account_permission">Accounting</label>

                </p>

              </div>

            </div>

          </div>

        </div>

        <div class="modal-footer">

          <a href="#!" class="modal-action waves-effect btn-flat">save</a>

          <a href="#!" class="modal-action modal-close waves-effect btn-flat">cancel</a>

        </div>

      </form>

    </div>



    <!-- Modal Edit Permission -->

    <div id="edit_permission" class="modal">

      <form>

        <div class="modal-content">

          <h5>Edit Permission</h5>

          <div class="container">

            <div class="row">

              <div class="input-field col l12">

                <input type="text" class="validate">

                <label>Key</label>

              </div>

              <div class="input-field col l12">

                <textarea class="materialize-textarea"></textarea>

                <label>Description</label>

              </div>

              <div class="col l12">

                <label>Role</label>

                <p>

                  <input type="checkbox" class="filled-in" id="edit_admin_permission" />

                  <label for="edit_admin_permission">Admin</label>

                </p>

                <p>

                  <input type="checkbox" class="filled-in" id="edit_username_permission" />

                  <label for="edit_username_permission">User</label>

                </p>

                <p>

                  <input type="checkbox" class="filled-in" id="edit_sales_permission" />

                  <label for="edit_sales_permission">Sales</label>

                </p>

                <p>

                  <input type="checkbox" class="filled-in" id="edit_gudang_permission" />

                  <label for="edit_gudang_permission">Gudang</label>

                </p>

                <p>

                  <input type="checkbox" class="filled-in" id="edit_account_permission" />

                  <label for="edit_account_permission">Accounting</label>

                </p>

              </div>

            </div>

          </div>

        </div>

        <div class="modal-footer">

          <a href="#!" class="modal-action modal-close waves-effect btn-flat">delete</a>

          <a href="#!" class="modal-action waves-effect btn-flat">save</a>

          <a href="#!" class="modal-action modal-close waves-effect btn-flat">cancel</a>

        </div>

      </form>

    </div>



    <script src="js/jquery.min.js"></script>

    <script src="js/jquery.dataTables.min.js"></script>

    <script src="js/materialize.min.js"></script>

    <script src="js/dcalendar.picker.js"></script>

    <script src="js/custom.js"></script>

  </body>

</html>

